BUBBLES(1)

NAME
bubbles - DNSSEC-Tools Rollrec Simple GUI Display

SYNOPSIS
  bubbles [options] <rollrec-file>

DESCRIPTION
bubbles gives a simple display of the roll status of a set of zones listed in a rollrec file. In contrast, blinkenlights gives a detailed display of the roll status of a set of zones. bubbles gives very little control over rollerd, the way blinkenlights does. bubbles can halt rollerd's execution only.

A rollrec file contains one or more rollrec records. These records are used by the DNSSEC-Tools rollover utilities (rollerd, etc.) to describe zones' rollover states. Each zone's rollrec record contains such information as the zone file, the rollover phase, and logging level. rollrec files are text files.

When bubbles starts, a window is created that has "bubbles" for each zone with a rollrec record in the given rollrec file. (Clicking on a bubble doesn't do anything.) By default, all zones with a display flag set on will be shown in the bubbles window. Options may be given to modify this behavior.

The zone bubbles are color-coded according to roll-over state. The default colors are:

* green: not in roll-over

* yellow: in ZSK roll-over

* red: in KSK roll-over

These colors may be specified by the user via command-line options.

In building the bubble window, bubbles window defaults to creating a square window. This may be overridden by specifying the number of columns, using the -columns option.

OPTIONS
bubbles supports the following options.

-columns columns
    This option allows the user to specify the number of columns to be used in the Button Window.

-kskcolor color
    Set the bubble color for zones that are performing KSK roll-overs.

-zskcolor color
    Set the bubble color for zones that are performing ZSK roll-overs.

-noncolor color
    Set the bubble color for zones that are not in roll-over.

-ignore-display
    Ignore the rollrec display flag and display every zone in the rollrec file.

-interval wait-time
    Interval between checks of the rollrec file. By default, wait-time is given in minutes. This can be adjusted by specifying one of the following time-unit suffixes.

    * s - seconds

    * m - minutes

    * h - hours

    Examples:

    * -interval 24 - 24 minutes

    * -interval 24s - 24 seconds

    * -interval 24m - 24 minutes

    * -interval 24h - 24 hours

-no-filter
    This option turns off name filtering when bubbles presents a file-selection dialog for choosing a new rollrec file. If this option is not given, then the file-selection dialog will only list regular files with a suffix of .rrf.

-showksk
    Show the zones that are performing KSK roll-overs.

-shownonrolls
    Show the zones that are not in roll-over.

-showrolls
    Show the zones that are performing either type of roll-over.

-showzsk
    Show the zones that are performing ZSK roll-overs.

-help
    Give a usage message and exit.

-Version
    Displays the version information for bubbles and the DNSSEC-Tools package.

REQUIREMENTS
bubbles is implemented in Perl/Tk, so both Perl and Perl/Tk must be installed on your system.

COPYRIGHT
Copyright 2009-2014 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHOR
Wayne Morrison, tewok@tislabs.com

SEE ALSO
lsroll(1)

blinkenlights(8), rollchk(8), rollerd(8) rollinit(8), rollrec-editor(8) rollset(8),

Net::DNS::SEC::Tools::rollrec(3)

file-rollrec(5)